package edu.mermet.tp8.dialogue;

import java.awt.BorderLayout;
import java.awt.Container;
import java.io.IOException;
import java.util.ArrayList;
import java.util.ResourceBundle;

import javax.swing.Action;
import javax.swing.BoxLayout;
import javax.swing.DefaultListModel;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import edu.mermet.tp8.Application;

public class DialogueHowTo extends JDialog {
	private static final long serialVersionUID = 1L;
	private static final int LARGEUR = 500;
	private static final int HAUTEUR = 400;
	
	private static final String NOM_FICHIER = "textes";
	
	private static final String FARENHEIT = "Farenheit";
	private static final String CELSIUS = "Celsius";
	private static final String TEXTEGRAS = "texteGras";
	private static final String TEXTECOULEUR = "texteCouleur";
	
	private static final String TITREFARENHEIT = "TitreFarenheit";
	private static final String TITRECELSIUS = "TitreCelsius";
	private static final String TITREGRAS = "TitretexteGras";
	private static final String TITRECOULEUR = "TitretexteCouleur";
	
	private JEditorPane zoneTxt;
	private JList<String> liste;
	private ArrayList<String> alInstructions;
	private DefaultListModel<String> listModel;
	
	public DialogueHowTo(Application appli) {
		super(appli, "Comment Faire ?",false);
		init();
		setSize(LARGEUR, HAUTEUR);
//		pack();
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		setVisible(true);
	}
	

	public void init() {
		ResourceBundle bundle = ResourceBundle.getBundle(NOM_FICHIER);
		String texteFarenheit = bundle.getString(FARENHEIT);
		String texteCelsius = bundle.getString(CELSIUS);
		String textegras = bundle.getString(TEXTEGRAS);
		String texteCouleur = bundle.getString(TEXTECOULEUR);
		
		String titreFarenheit = bundle.getString(TITREFARENHEIT);
		String titreCelsius = bundle.getString(TITRECELSIUS);
		String titregras = bundle.getString(TITREGRAS);
		String titreCouleur = bundle.getString(TITRECOULEUR);

		BorderLayout layout = new BorderLayout();
		layout.setHgap(10);
		this.setLayout(layout);

		this.listModel = new DefaultListModel<String>();
		this.alInstructions = new ArrayList<String>();
//		this.listModel.addElement("Conversion Celsius → Farenheit");
		this.listModel.addElement(titreFarenheit);
		this.alInstructions.add(texteFarenheit);
		this.listModel.addElement(titreCelsius);
		this.alInstructions.add(texteCelsius);
//		this.listModel.addElement("Mettre du texte en gras");
		this.listModel.addElement(titregras);
		this.alInstructions.add(textegras);
//		this.listModel.addElement("Changer la couleur du texte");
		this.listModel.addElement(titreCouleur);
		this.alInstructions.add(texteCouleur);

		this.liste = new JList<String>();

		liste.setModel(this.listModel);
		liste.addListSelectionListener(new ListSelectionListener() {
			public void valueChanged(ListSelectionEvent evt) {
				jList1ValueChanged(evt);
			}
		});

		this.zoneTxt = new JEditorPane("text/html", this.alInstructions.get(0));
		this.zoneTxt.setEditable(false);

		this.liste.setSelectedIndex(0);

		this.add(this.liste, BorderLayout.WEST);
		this.add(this.zoneTxt, BorderLayout.CENTER);

		this.setSize(500, 200);
	}

	private void jList1ValueChanged(ListSelectionEvent evt) {
		if (this.liste.getSelectedIndex() < this.alInstructions.size()) {
			this.zoneTxt.setText(this.alInstructions.get(this.liste.getSelectedIndex()));
		}
	}

}
